Skip to main content
PATCH
Update

Authorizations

Authorization
string
header
required

A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.

Path Parameters

workspaceId
string
required
Minimum string length: 1
character
string
required
Required string length: 1 - 64

Body

application/json
name
string
Required string length: 1 - 80
handle
string
Required string length: 2 - 40
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
kind
enum<string>
Available options:
ai_person,
real_person,
mascot
identityNotes
string | null
Required string length: 1 - 400
voiceId
string | null
Required string length: 1 - 60
references
string[]
Required array length: 1 - 8 elements
Required string length: 1 - 64

Response

200 - application/json

Success

character
object
required